cURL
curl "https://api.scrapio.dev/v1/amazon/pricing?asin=B08N5WRWNW&country=us" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import os, requests
resp = requests.get(
"https://api.scrapio.dev/v1/amazon/pricing",
headers={"Authorization": f"Bearer {os.environ['SCRAPIO_API_KEY']}"},
params={"asin": "B08N5WRWNW", "country": "us"},
)
print(resp.json())const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/amazon/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "amazon",
"page_type": "pricing",
"asin": "<string>",
"featured_offer": {
"seller_name": "<string>",
"seller_id": "<string>",
"price": 123,
"currency": "<string>",
"shipping_price": 123,
"condition": "<string>",
"condition_notes": "<string>",
"is_prime": true,
"is_fba": true,
"delivery": "<string>",
"seller_rating": 123,
"seller_rating_count": 123
},
"seller_summary": {
"offer_count": 4503599627370495,
"has_amazon": true
},
"offers": [
{
"seller_name": "<string>",
"seller_id": "<string>",
"price": 123,
"currency": "<string>",
"shipping_price": 123,
"condition": "<string>",
"condition_notes": "<string>",
"is_prime": true,
"is_fba": true,
"delivery": "<string>",
"seller_rating": 123,
"seller_rating_count": 123
}
],
"url": "<string>"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Amazon
Get offer pricing
Retrieve current offer pricing for an Amazon product, including new, used, and third-party seller listings.
GET
/
v1
/
amazon
/
pricing
cURL
curl "https://api.scrapio.dev/v1/amazon/pricing?asin=B08N5WRWNW&country=us" \
-H "Authorization: Bearer $SCRAPIO_API_KEY"import os, requests
resp = requests.get(
"https://api.scrapio.dev/v1/amazon/pricing",
headers={"Authorization": f"Bearer {os.environ['SCRAPIO_API_KEY']}"},
params={"asin": "B08N5WRWNW", "country": "us"},
)
print(resp.json())const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scrapio.dev/v1/amazon/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"provider": "amazon",
"page_type": "pricing",
"asin": "<string>",
"featured_offer": {
"seller_name": "<string>",
"seller_id": "<string>",
"price": 123,
"currency": "<string>",
"shipping_price": 123,
"condition": "<string>",
"condition_notes": "<string>",
"is_prime": true,
"is_fba": true,
"delivery": "<string>",
"seller_rating": 123,
"seller_rating_count": 123
},
"seller_summary": {
"offer_count": 4503599627370495,
"has_amazon": true
},
"offers": [
{
"seller_name": "<string>",
"seller_id": "<string>",
"price": 123,
"currency": "<string>",
"shipping_price": 123,
"condition": "<string>",
"condition_notes": "<string>",
"is_prime": true,
"is_fba": true,
"delivery": "<string>",
"seller_rating": 123,
"seller_rating_count": 123
}
],
"url": "<string>"
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}{
"request_id": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
},
"diagnostics": {
"outcome": "failed",
"retryable": true,
"blocked": true,
"timed_out": true
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Amazon ASIN to look up pricing for
Minimum string length:
1Country code for localized results
Pattern:
^[a-z]{2}$Language for results
Minimum string length:
1Amazon domain suffix, e.g. com, co.uk, de
Pattern:
^[a-z]+(?:\.[a-z]+)?$Device profile to emulate
Available options:
desktop, mobile, tablet Max time to wait, in ms
Pattern:
^\d+$Response
Current offer pricing details.
Available options:
amazon Available options:
pricing Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I